# Messari

[![Python 3.7](https://img.shields.io/badge/python-3.7-blue.svg)](https://www.python.org/downloads/release/python-370/)
[![Python 3.8](https://img.shields.io/badge/python-3.8-blue.svg)](https://www.python.org/downloads/release/python-380/)
[![Python 3.9](https://img.shields.io/badge/python-3.9-blue.svg)](https://www.python.org/downloads/release/python-390/)

[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)


-------

### Unofficial [Messari's Crypto Data API](https://messari.io/) client in python
The library can be used for crypto prices, market data metrics, on-chain metrics, and qualitative information (asset profile).
For more information, see [Messari API Documentation](https://messari.io/api)

### Installation:
use pip to install:
``` 
pip install messari
```
-----------

### Authentication:

Pass API key in object initialization.

-----------

### Example usage:
```
from messari import Messari

# initialize api client

messari = Messari(key='xxxxxxxxxxxxxxx')

# Get a list of all assets and their market caps, sorted by market cap descending.
response = messari.get_all_assets()

# Get the ID, name, symbol, slug, market cap, sector, category, and tags for a single asset.
response = messari.get_asset_by_id(asset_id=asset_id)

# Get market data for a specific asset.
response = messari.get_market_data_by_asset(asset_id=asset_id)

# Get a list ROI data for all assets.
response = messari.get_roi()

# Get a single assets ROI data.
response = messari.get_roi_by_asset(asset_id=asset_id)

# Get a list of market specific data for all markets.
response = messari.get_markets()

# Get a list of exchanges with market data.
response = messari.get_exchanges()
```

-------
#### Donate & Help maintain the library

[![Paypal](qrcode.png)](https://www.paypal.com/ncp/payment/KLFNJN7SH39EN)

-------